// RingWorm v 1.2 (c) 1998 Graham Mitchell <mitchell@onr.com> - 19 Oct 1998

// header for item class

/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License (LICENSE.TXT) for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __ITEM_H
#define __ITEM_H

#include "const.h"

class Item
{

public:

	Item();

	void init(	Point p, int radius, int init_color );

	void draw();
	void erase();

	Point location() { return loc; }
	int radius() { return r; }

	bool touches( Point, int );


	void relocate(int new_x, int new_y);

private:

	int color, r;
	Point loc;

};

#endif
